Skip to main content
`Ctrl`+`K`

# ISRestorePointRange

Destroys the traversal description created with `ISGetPointRange()`

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISRestorePointRange(IS pointIS, PetscInt *pStart, PetscInt *pEnd, const PetscInt *points[])

Not Collective

## Input Parameters

- pointIS - The `IS` object

- pStart - The first index, from `ISGetPointRange()`

- pEnd - One past the last index, from `ISGetPointRange()`

- points - The indices, from `ISGetPointRange()`

## See Also

Low-level Vector Communication, `IS`, `ISGetPointRange()`, `ISGetPointSubrange()`, `ISGetIndices()`, `ISCreateStride()`

## Level

intermediate

## Location

src/vec/is/utils/isltog.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages